Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface IVolume

All Superinterfaces:
  IAdaptable

public interface IVolume
extends IAdaptable

Local Volume Info. Represents local file system information for a specific volume.

This interface is not intended to be implemented by clients.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `LocalSystemInfo`

Method Summary
`File` | `getFile()` Returns the volume path.
`long` | `getFreeSpace()` Returns the available free space on this volume.
`String` | `getLabel()` returns volume label.
`int` | `getType()` Returns volume type.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getFreeSpace

    public long getFreeSpace()

  Returns the available free space on this volume. Returns the amount of free space available to this user on the volume. The method takes into account any space quotas or other native mechanisms that may restrict space usage on a given volume.

  Returns:
    the amount of free space available (in units of Kbyte), or an indication the size is not known
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `LocalSystemInfo.SIZE_UNKNOWN`

### getLabel

    public String getLabel()

  returns volume label. Returns the label of the volume.

  Returns:
    volume label (as string), or `null` if the label cannot be determined.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### getType

    public int getType()

  Returns volume type. Returns the type of the volume.

  Returns:
    volume type
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `LocalSystemInfo.VOLUME_UNKNOWN`, `LocalSystemInfo.VOLUME_INVALID_PATH`, `LocalSystemInfo.VOLUME_REMOVABLE`, `LocalSystemInfo.VOLUME_FIXED`, `LocalSystemInfo.VOLUME_REMOTE`, `LocalSystemInfo.VOLUME_CDROM`, `LocalSystemInfo.VOLUME_FLOPPY_3`, `LocalSystemInfo.VOLUME_FLOPPY_5`

### getFile

    public File getFile()

  Returns the volume path. Returns the path that represents the mount point of the volume.

  Returns:
    mount point file
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.